// creator  : weidu.exe (version 23100)
// argument : BRATHL.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~BRATHL~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #3 /* Triggers after states #: 13 even though they appear after this state */
~NumTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #2534 /* ~You lie! You freed yourself, and now you will not free me! Such villainy! Boo sees what you are doing!~ */
  IF ~~ THEN DO ~MoveToPoint([638.1014])
~ EXIT
END

IF WEIGHT #4 /* Triggers after states #: 13 even though they appear after this state */
~NumTimesTalkedTo(1)
~ THEN BEGIN 1 // from:
  SAY #2535 /* ~Goblin~ */
  IF ~~ THEN DO ~MoveToPoint([759.986])
~ JOURNAL #6999 /* ~The Drow Summoning Ritual

With the drow summoners dead and their plans ruined, I have sacrificed the silver dragon eggs to the demon in return for a service... he will lead me to the exit from the drow city and destroy everything that blocks my path.  A fitting use of the drow's own magic.~ */ EXIT
END

IF WEIGHT #5 /* Triggers after states #: 13 even though they appear after this state */
~NumTimesTalkedTo(2)
~ THEN BEGIN 2 // from:
  SAY #2539 /* ~Great Druid~ */
  IF ~~ THEN DO ~MoveToPoint([892.920])
~ EXIT
END

IF WEIGHT #6 /* Triggers after states #: 13 even though they appear after this state */
~NumTimesTalkedTo(3)
~ THEN BEGIN 3 // from:
  SAY #2540 /* ~Come Boo, we must go! What? Yes, of course. My hamster says he will miss you, Such loyalty you inspire, even in rodents. Be proud, as Minsc is.~ */
  IF ~~ THEN DO ~MoveToPoint([855.856])
~ EXIT
END

IF WEIGHT #7 /* Triggers after states #: 13 even though they appear after this state */
~NumTimesTalkedTo(4)
~ THEN BEGIN 4 // from:
  SAY #2541 /* ~Hold on, Korgan. Wait a moment. Let's go to the tomb right now.~ */
  IF ~~ THEN DO ~MoveToPoint([760.906])
~ EXIT
END

IF WEIGHT #8 /* Triggers after states #: 13 even though they appear after this state */
~NumTimesTalkedTo(5)
~ THEN BEGIN 5 // from:
  SAY #2542 /* ~Good riddance to bad garbage, runt. We need you like a hole in the head.~ */
  IF ~~ THEN JOURNAL #7000 /* ~~ */ EXIT
END

IF WEIGHT #9 /* Triggers after states #: 13 even though they appear after this state */
~NumTimesTalkedTo(6)
~ THEN BEGIN 6 // from:
  SAY #2543 /* ~great druid~ */
  IF ~~ THEN REPLY #2544 /* ~My Tabitha... loyal to the end.  Your death I shall avenge, on that I swear.~ */ GOTO 7
  IF ~~ THEN REPLY #2545 /* ~Ahh, I see you still have that... rodent. Dare I ask how you have kept it hidden from our captors?~ */ GOTO 8
  IF ~~ THEN REPLY #2546 /* ~Are you talking to a... hamster?  What kind of a warrior are you?~ */ GOTO 9
  IF ~~ THEN REPLY #2547 /* ~Minsc and Boo are Minsc and Boo, and we shall not be separated. Shall we go? The butts of evil await my bootprint!~ */ GOTO 10
END

IF ~~ THEN BEGIN 7 // from: 9.0 8.0 6.0
  SAY #2550 /* ~Boo is the best purchase I ever made, and despite my head wound I could tell that his previous owner was good and honest. Boo is an asset to us all!~ */
  IF ~Global("WardsClue","GLOBAL",1)
~ THEN REPLY #2559 /* ~We have loot. Money. And we'll give you 100 gold of it if you join our party for the next few months.~ */ JOURNAL #7001 /* ~The Drow Summoning Ritual

With the drow summoners dead and their plans ruined, I have traded the silver dragon's eggs to the demon in exchange for a powerful magical weapon.  Now, however, I have only minutes in order to flee this city before my disguise is discovered... and with a likely hostile silver dragon hunting for me, as well.~ */ GOTO 11
  IF ~~ THEN REPLY #2561 /* ~Hell and damnation, fools! Me head can imagine a fair horde. I've no impulse to travel with a sad bunch of may-dewed prickmedaintys. Return when the reason is better then yer company alone.~ */ GOTO 8
  IF ~~ THEN REPLY #2562 /* ~Good! Then leave a farctated dwarf before I rend ye limbless.~ */ GOTO 9
  IF ~~ THEN REPLY #2563 /* ~100 gold? Nay nearly enough of the kingdom's coin to interest one so battle-proven!  Return when the moneypurse ye carry grows deeper.~ */ GOTO 10
END

IF ~~ THEN BEGIN 8 // from: 9.1 7.1 6.1
  SAY #2551 /* ~Stop your pitiful whining, dwarf, and waddle aside.~ */
  IF ~~ THEN REPLY #2565 /* ~500 gold? Aye, there be a fair venture. Consider me a comrade-in-arms. I'll just secret the coin away from ye, so's ye don't think o' cheatin' away with it.~ */ JOURNAL #7002 /* ~The Final Battle with Bodhi.

Bodhi appeared in an ambush shortly before I reached her haven, warning me that she was aware of my pursuit and stealing from me the one person that is dearest to my heart: Jaheira.  Before she vanished and unleashed more of her undead creations upon me, Bodhi warned me that if I continue I will lose even more than I thought possible.  I cannot give up on the Rhynn Lanthorn... but now the life and immortal soul of the one I love is at stake, as well!~ */ GOTO 7
  IF ~~ THEN REPLY #2566 /* ~Then let us be off, and woe be to those that dare to stand in our way.~ */ GOTO 9
  IF ~~ THEN REPLY #2567 /* ~So what musters yer interest in just another bibulous dwarf?~ [KORGAN87] */ GOTO 10
END

IF ~~ THEN BEGIN 9 // from: 8.1 7.2 6.2
  SAY #2552 /* ~Ye've tested me mettle fer the last and final time! Ye'll beg me to kill ye soon enough! Have at thee!~ */
  IF ~~ THEN REPLY #2569 /* ~We're sorry for bothering you, Korgan. We'll see ourselves out.~ */ GOTO 7
  IF ~~ THEN REPLY #2548 /* ~Ahh, I see you still have that... rodent. Dare I ask how you have kept it hidden from our captors?~ */ GOTO 8
  IF ~~ THEN REPLY #2549 /* ~Are you talking to a... hamster?  What kind of a warrior are you?~ */ GOTO 10
END

IF ~~ THEN BEGIN 10 // from: 9.2 8.2 7.3 6.3
  SAY #2553 /* ~Aye. Strength is me birthright. Courage me inheritance. War me destiny. But why should I join a motley band of beggars like ye?~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 11 // from: 7.0
  SAY #2554 /* ~Good company, great risk, and... treasure. Perhaps more than you could imagine.~ */
  IF ~~ THEN DO ~CreateCreature("FLAM6",[171.1167])
CreateCreature("FLAM6",[225.1169])
CreateCreature("FLAM6",[405.1330])
EscapeArea()
~ JOURNAL #7003 /* ~~ */ EXIT
END

IF ~~ THEN BEGIN 12 // from:
  SAY #6255 /* ~There is only one option open to us. We must track down the one who played this foul trick upon us and extract our stolen honor from his cursed hide.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #1 ~StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 13 // from:
  SAY #6256 /* ~Faithless fool! You do not understand the import of this event. Innocents were slain by our hand and we are now cursed as forever dishonorable.~ */
  IF ~~ THEN DO ~SetGlobal("WardsClue","GLOBAL",1)
~ JOURNAL #7004 /* ~~ */ EXIT
END

IF ~~ THEN BEGIN 14 // from:
  SAY #9302 /* ~Then let us bestow some justice. He has challenged your honor. There must be a reprisal.~ */
  IF ~~ THEN EXIT
END
